資源
健康檢查
檢查系統健康狀況 — 無需身份驗證。
GET
/
api
/
v1
/
health
健康檢查
curl --request GET \
--url https://api.example.com/api/v1/healthimport requests
url = "https://api.example.com/api/v1/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/health")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>",
"timestamp": "<string>",
"version": "<string>",
"providers": {}
}公開端點,返回 Theo 基礎設施及 AI 引擎子系統的當前健康狀態。無需身份驗證。
健康檢查結果會緩存 30 秒。
X-Cache 響應頭會標明 HIT 或 MISS。請求示例
curl https://www.hitheo.ai/api/v1/health
響應
string
系統整體狀態:
"healthy"(健康)、"degraded"(降級)或 "down"(不可用)。string
本次健康檢查的 ISO 8601 時間戳。
string
API 版本標識符(例如
"2026-03-28")。object
AI 引擎子系統的健康狀況。
顯示 Provider health object
顯示 Provider health object
每個鍵為一個 Theo 子系統名稱(例如
theo-core、theo-vision、theo-search)。對應的值包含:
string
"healthy"(健康)、"degraded"(降級)、"down"(不可用)或 "unconfigured"(未配置)。響應示例
{
"status": "healthy",
"timestamp": "2026-04-10T12:00:00.000Z",
"version": "2026-03-28",
"providers": {
"theo-core": { "status": "healthy" },
"theo-vision": { "status": "healthy" },
"theo-search": { "status": "healthy" }
}
}
狀態碼
| 狀態碼 | 含義 |
|---|---|
| 200 | 系統健康或處於降級狀態 |
| 503 | 系統不可用 — 響應中包含 Retry-After: 30 頭 |
這個頁面有幫助嗎?
健康檢查
curl --request GET \
--url https://api.example.com/api/v1/healthimport requests
url = "https://api.example.com/api/v1/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/health")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>",
"timestamp": "<string>",
"version": "<string>",
"providers": {}
}